Pipelinefrontendappsconfigs 7 endpoints

PATCH /api/projects/{project_id}/pipeline_frontend_apps_configs/rearrange
operationId: Pipelinefrontendappsconfigs_rearrangePartialUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/pipeline_frontend_apps_configs/rearrange
DELETE /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
operationId: Pipelinefrontendappsconfigs_deleteById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
GET /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
operationId: Pipelinefrontendappsconfigs_getById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
PATCH /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
operationId: Pipelinefrontendappsconfigs_updateByIdPatch

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
PUT /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
operationId: Pipelinefrontendappsconfigs_updateById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
PUT /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}
GET /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}/frontend
operationId: Pipelinefrontendappsconfigs_getFrontend

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}/frontend
POST /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}/job
operationId: Pipelinefrontendappsconfigs_createJob

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
POST /api/projects/{project_id}/pipeline_frontend_apps_configs/{id}/job

Pipelineimportappsconfigs 9 endpoints

GET /api/projects/{project_id}/pipeline_import_apps_configs
operationId: Pipelineimportappsconfigs_getPipelineImportAppsConfigsList

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_import_apps_configs
POST /api/projects/{project_id}/pipeline_import_apps_configs
operationId: Pipelineimportappsconfigs_postPipelineImportAppsConfigs

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

201
POST /api/projects/{project_id}/pipeline_import_apps_configs
PATCH /api/projects/{project_id}/pipeline_import_apps_configs/rearrange
operationId: Pipelineimportappsconfigs_rearrangePartialUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/pipeline_import_apps_configs/rearrange
DELETE /api/projects/{project_id}/pipeline_import_apps_configs/{id}
operationId: Pipelineimportappsconfigs_deleteById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/pipeline_import_apps_configs/{id}
GET /api/projects/{project_id}/pipeline_import_apps_configs/{id}
operationId: Pipelineimportappsconfigs_getById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_import_apps_configs/{id}
PATCH /api/projects/{project_id}/pipeline_import_apps_configs/{id}
operationId: Pipelineimportappsconfigs_patchById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/pipeline_import_apps_configs/{id}
PUT /api/projects/{project_id}/pipeline_import_apps_configs/{id}
operationId: Pipelineimportappsconfigs_updatePipelineImportAppsConfigsById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
PUT /api/projects/{project_id}/pipeline_import_apps_configs/{id}
GET /api/projects/{project_id}/pipeline_import_apps_configs/{id}/frontend
operationId: Pipelineimportappsconfigs_frontendRetrieve

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_import_apps_configs/{id}/frontend
POST /api/projects/{project_id}/pipeline_import_apps_configs/{id}/job
operationId: Pipelineimportappsconfigs_createJob

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
POST /api/projects/{project_id}/pipeline_import_apps_configs/{id}/job

Pipelinetransformationconfigs 9 endpoints

GET /api/projects/{project_id}/pipeline_transformation_configs
operationId: Pipelinetransformationconfigs_list

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_transformation_configs
POST /api/projects/{project_id}/pipeline_transformation_configs
operationId: Pipelinetransformationconfigs_createOrUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

201
POST /api/projects/{project_id}/pipeline_transformation_configs
PATCH /api/projects/{project_id}/pipeline_transformation_configs/rearrange
operationId: Pipelinetransformationconfigs_rearrangePartialUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/pipeline_transformation_configs/rearrange
DELETE /api/projects/{project_id}/pipeline_transformation_configs/{id}
operationId: Pipelinetransformationconfigs_deleteById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/pipeline_transformation_configs/{id}
GET /api/projects/{project_id}/pipeline_transformation_configs/{id}
operationId: Pipelinetransformationconfigs_getById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_transformation_configs/{id}
PATCH /api/projects/{project_id}/pipeline_transformation_configs/{id}
operationId: Pipelinetransformationconfigs_patchById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/pipeline_transformation_configs/{id}
PUT /api/projects/{project_id}/pipeline_transformation_configs/{id}
operationId: Pipelinetransformationconfigs_updateById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
PUT /api/projects/{project_id}/pipeline_transformation_configs/{id}
GET /api/projects/{project_id}/pipeline_transformation_configs/{id}/frontend
operationId: Pipelinetransformationconfigs_frontendRetrieve

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/pipeline_transformation_configs/{id}/frontend
POST /api/projects/{project_id}/pipeline_transformation_configs/{id}/job
operationId: Pipelinetransformationconfigs_createJob

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
POST /api/projects/{project_id}/pipeline_transformation_configs/{id}/job

Pluginconfigs 10 endpoints

GET /api/projects/{project_id}/plugin_configs
operationId: Pluginconfigs_getByProjectId

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/plugin_configs
POST /api/projects/{project_id}/plugin_configs
operationId: Pluginconfigs_createOrUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

201
POST /api/projects/{project_id}/plugin_configs
PATCH /api/projects/{project_id}/plugin_configs/rearrange
operationId: Pluginconfigs_rearrangePatch

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/plugin_configs/rearrange
DELETE /api/projects/{project_id}/plugin_configs/{id}
operationId: Pluginconfigs_deleteById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/plugin_configs/{id}
GET /api/projects/{project_id}/plugin_configs/{id}
operationId: Pluginconfigs_getByProjectId

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/plugin_configs/{id}
PATCH /api/projects/{project_id}/plugin_configs/{id}
operationId: Pluginconfigs_updateByIdPatch

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200
PATCH /api/projects/{project_id}/plugin_configs/{id}
PUT /api/projects/{project_id}/plugin_configs/{id}
operationId: Pluginconfigs_updateByProjectId

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
PUT /api/projects/{project_id}/plugin_configs/{id}
GET /api/projects/{project_id}/plugin_configs/{id}/frontend
operationId: Pluginconfigs_getFrontend

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/plugin_configs/{id}/frontend
POST /api/projects/{project_id}/plugin_configs/{id}/job
operationId: Pluginconfigs_createJob

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200
POST /api/projects/{project_id}/plugin_configs/{id}/job
GET /api/projects/{project_id}/plugin_configs/{plugin_config_id}/logs
operationId: Pluginconfigs_getLogs

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

plugin_config_id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/plugin_configs/{plugin_config_id}/logs

Propertydefinitions 6 endpoints

GET /api/projects/{project_id}/property_definitions
operationId: Propertydefinitions_getByProjectIdPropertyDefinitions

Parameters

Name In Required Type Description
event_names query optional string

If sent, response value will have is_seen_on_filtered_events populated. JSON-encoded

excluded_properties query optional string

JSON-encoded list of excluded properties

filter_by_event_names query optional boolean

Whether to return only properties for events in event_names

group_type_index query optional integer

What group type is the property for. Only should be set if type=group

is_feature_flag query optional boolean

Whether to return only (or excluding) feature flag properties

is_numerical query optional boolean

Whether to return only (or excluding) numerical property definitions

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

properties query optional string

Comma-separated list of properties to filter

search query optional string

Searches properties by name

type query optional string

What property definitions to return

  • event - event
  • person - person
  • group - group

Responses

200

No response body

GET /api/projects/{project_id}/property_definitions
GET /api/projects/{project_id}/property_definitions/seen_together

Allows a caller to provide a list of event names and a single property name
Returns a map of the event names to a boolean representing whether that property has ever been seen with that event_name

operationId: Propertydefinitions_getEventNamesSeenTogether

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

GET /api/projects/{project_id}/property_definitions/seen_together
DELETE /api/projects/{project_id}/property_definitions/{id}
operationId: Propertydefinitions_deleteById

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/property_definitions/{id}
GET /api/projects/{project_id}/property_definitions/{id}
operationId: Propertydefinitions_getById

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

GET /api/projects/{project_id}/property_definitions/{id}
PATCH /api/projects/{project_id}/property_definitions/{id}
operationId: Propertydefinitions_patchByIdProperty

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

PATCH /api/projects/{project_id}/property_definitions/{id}
PUT /api/projects/{project_id}/property_definitions/{id}
operationId: Propertydefinitions_putByIdCamelCase

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

PUT /api/projects/{project_id}/property_definitions/{id}

Query 4 endpoints

POST /api/projects/{project_id}/query
operationId: query_create

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema QueryRequest
Property Type Required
async boolean optional
query object required
refresh boolean optional
client_query_id string optional
multipart/form-data
schema QueryRequest
Property Type Required
async boolean optional
query object required
refresh boolean optional
client_query_id string optional
application/x-www-form-urlencoded
schema QueryRequest
Property Type Required
async boolean optional
query object required
refresh boolean optional
client_query_id string optional

Responses

200
POST /api/projects/{project_id}/query
GET /api/projects/{project_id}/query/draft_sql
operationId: Query_draftSqlRetrieve

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

GET /api/projects/{project_id}/query/draft_sql
DELETE /api/projects/{project_id}/query/{id}

(Experimental)

operationId: query_destroy

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

Query cancelled

DELETE /api/projects/{project_id}/query/{id}
GET /api/projects/{project_id}/query/{id}

(Experimental)

operationId: query_retrieve

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

Query status

GET /api/projects/{project_id}/query/{id}

Sessionrecordingplaylists 5 endpoints

GET /api/projects/{project_id}/session_recording_playlists
operationId: Sessionrecordingplaylists_list

Parameters

Name In Required Type Description
created_by query optional integer
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id query optional string

Responses

200
GET /api/projects/{project_id}/session_recording_playlists
POST /api/projects/{project_id}/session_recording_playlists
operationId: Sessionrecordingplaylists_createOrUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema SessionRecordingPlaylist
Property Type Required
id integer required
name string optional
pinned boolean optional
deleted boolean optional
filters object optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
derived_name string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
multipart/form-data
schema SessionRecordingPlaylist
Property Type Required
id integer required
name string optional
pinned boolean optional
deleted boolean optional
filters object optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
derived_name string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
application/x-www-form-urlencoded
schema SessionRecordingPlaylist
Property Type Required
id integer required
name string optional
pinned boolean optional
deleted boolean optional
filters object optional
short_id string required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
derived_name string optional
last_modified_at string required
last_modified_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional

Responses

201
POST /api/projects/{project_id}/session_recording_playlists
DELETE /api/projects/{project_id}/session_recording_playlists/{short_id}

Hard delete of this model is not allowed. Use a patch API call to set “deleted” to true

operationId: Sessionrecordingplaylists_deleteById

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Responses

default

No response body

DELETE /api/projects/{project_id}/session_recording_playlists/{short_id}
GET /api/projects/{project_id}/session_recording_playlists/{short_id}
operationId: Sessionrecordingplaylists_getByShortId

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Responses

200
GET /api/projects/{project_id}/session_recording_playlists/{short_id}
PATCH /api/projects/{project_id}/session_recording_playlists/{short_id}
operationId: Sessionrecordingplaylists_updateShortId

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

short_id path required string

Request Body

application/json
schema PatchedSessionRecordingPlaylist
Property Type Required
id integer optional
name string optional
pinned boolean optional
deleted boolean optional
filters object optional
short_id string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
derived_name string optional
last_modified_at string optional
last_modified_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
multipart/form-data
schema PatchedSessionRecordingPlaylist
Property Type Required
id integer optional
name string optional
pinned boolean optional
deleted boolean optional
filters object optional
short_id string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
derived_name string optional
last_modified_at string optional
last_modified_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
application/x-www-form-urlencoded
schema PatchedSessionRecordingPlaylist
Property Type Required
id integer optional
name string optional
pinned boolean optional
deleted boolean optional
filters object optional
short_id string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
derived_name string optional
last_modified_at string optional
last_modified_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional

Responses

200
PATCH /api/projects/{project_id}/session_recording_playlists/{short_id}
Load more endpoints